IT资讯 Ubuntu 20.04 LTS 有望用上 WireGuard

willie · 2019-12-13 10:00:06 · 热度: 15

关于在 Ubuntu 20.04 LTS 中提供对 WireGuard 支持的可能性,目前正在进行早期讨论。开发者认为,可以通过使用现有的 DKMS 内核模块或基于 Linux 5.5 的内核打上 WireGuard 补丁来实现,因为必要的加密 API 变更已纳入 Linux 5.5 内核版本。

昨天我们曾报道过,由于合并窗口时间的安排,WireGuard 十分遗憾未能加入 Linux 5.5。正因如此,WireGuard 也不幸地错过了 Ubuntu 20.04 LTS 的标记,但它已经在 Linux 5.6 的 net-next 中出现。另外,随着 Linux 5.5 将于1月下旬或2月初发布,几乎肯定是此内核版本将为下一个 Ubuntu 长期支持版本提供支持,因为 Linux 5.6 对于 LTS 发行版来说太接近4月的发布日期了,所以同样是4月发布的 Ubuntu 20.04 来不及使用 Linux 5.6。

从 Ubuntu 近期的邮件列表活动来看,开发团队似乎有兴趣将 WireGuard 添加到 20.04 版本的 Ubuntu 内核中。Canonical 的内核团队正在讨论此事,而 WireGuard 作者兼首席开发者 Jason Donenfeld 也已经表示愿意提供帮助。

在 Linux 5.5 具有 WireGuard 的加密 API 位的情况下,如果尚未提供 DKMS WG 模块,则对其内核进行补丁修复应该很简单。我们将看到有望在 Ubuntu 20.04 LTS 上支持此安全 VPN 隧道技术。

对于希望使用不涉及代码树方法的用户,可通过此 WireGuard.com 文档找到有关在各种 Linux 发行版以及 Windows/macOS/Android/iOS 等操作系统上运行 WireGuard 的详细信息。

文章转载自 OSCHINA 社区 [http://www.oschina.net]

暂无回复。
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册